[URGENT] License check failed: Unable to validate license

User 942 | 6/11/2015, 2:48:57 PM

Hello,

Yesterday everything was working fine.

Today: On my ubuntu machine, same on my mac:

[ERROR] License check failed: Unable to validate license. AssertionError: Cannot connect to GraphLab Create engine.

Here is the minimal code:

import graphlab as gl; gl.SArray([1,2,3])

EDIT: I did reinstall using the command pip install --upgrade --no-cache-dir, as seen on another post. I don't have the weird library not found error.

What the hell is going on?

Thank you

Comments

User 942 | 6/11/2015, 3:02:21 PM

The basic reproducible example:

import graphlab as gl; gl.SArray([1,2,3])


User 942 | 6/11/2015, 3:15:45 PM

Now it works, I think the config file gets corrupted. I had to reinstall the config using

pip install --upgrade --no-cache-dir https://get.dato.com/GraphLab-Create/1.4.0/{email}/{key}/GraphLab-Create-License.tar.gz And copy the .config file to my other machine.


User 19 | 6/11/2015, 3:37:30 PM

Hi kikohs,

Great! I am glad you were able to discover the issue. Please let us know if you come across any other issues and we will help to get them sorted out.

Cheers, Chris


User 942 | 6/11/2015, 3:41:31 PM

It doesn't explain why it happens. It is a known issue ? I think I read something similar in another post.


User 1178 | 6/11/2015, 4:52:20 PM

Hi Kikohs,

Please refer to this forum post for resolution. In summary -- it is a bug that we have fixed for our upcoming release and the work around is to set your environment configuration like this:

export GRAPHLAB_PRODUCT_KEY=<your product key here>

As long as that environment variable is set you should not experience errors due to the product key missing from the config file. Sorry for the inconvenience, and I hope that helps!

Sorry for an inconvenience!

Thanks!

Ping